/* ------------------------------------------------------------------------------------------- */
/* TABLE Design  */
table {    
    border-collapse: collapse;

    /* ↓ 여기에 100% 을 넣으면 크기 변동한다. */
    /* width: 100%;  */

    /* ↓ 이렇게 하면 크기가 변하지 않는다. */
    width: fit-content;
    min-width: min-content;
    max-width: max-content;

    table-layout: fixed;

    background-color: var(--color-back-tbl1);    
}

table thead { 
    position: sticky; 
    top: 0; 
    z-index: 1; 
}

table thead tr {
    height: 32px;
}

table thead tr th {
    font-size: 11px;
    font-weight: 400;

    background-color: var(--color-back-tbl2);
    color: var(--color-back-wht1);
}

table tbody tr td {
    color: var(--color-font-txt2);
}

table tbody tr {
    height: 27px;
}

table tbody td {
    font-size: 11px;
    font-weight: 400;

    border: 0.1px solid var(--color-bord1);
}

.col_Y {
    border: 0.1px solid var(--color-bord1);
    display: table-cell;
}

.col_C {
    border: 0.1px solid var(--color-bord1);
    display: table-cell;
}

.col_B {
    /* width: 5px;
    min-width: 5px;
    max-width: 5px; */

    width: 7px;
    min-width: 7px;
    max-width: 7px;

    background-color: var(--color-back-box1);
    border: none;    
}

.col_ELSE {
    /* width: 5px;
    min-width: 5px;
    max-width: 5px; */

    width: 800px;    

    background-color: var(--color-back-box1);
    border: none;    
}

.col_B_LONG {
    width: 10px;
    min-width: 10px;
    max-width: 10px;

    background-color: var(--color-white);
    border: none;    
}

.col_B_LONG2 {
    width: 30px;
    min-width: 30px;
    max-width: 30px;

    text-align: center;

    background-color: var(--color-white);
    border: none;
}

.col_N {
    display: none;
}

.col_F {
    display: none;
}

.col_F2 {
    display: none;
}

.col_F3 {
    display: none;
}
/* ------------------------------------------------------------------------------------------- */



/* ------------------------------------------------------------------------------------------- */
/* TABLE Columns */
.col_005 { width: 5px;  }
.col_010 { width: 10px; }
.col_020 { width: 20px; }
.col_025 { width: 25px; }
.col_030 { width: 30px; }
.col_035 { width: 35px; }
.col_040 { width: 40px; }
.col_045 { width: 45px; }
.col_050 { width: 50px; }
.col_055 { width: 55px; }
.col_060 { width: 60px; }
.col_070 { width: 70px; }
.col_080 { width: 80px; }
.col_090 { width: 90px; }
.col_100 { width: 100px; }
.col_110 { width: 110px; }
.col_120 { width: 120px; }
.col_130 { width: 130px; }
.col_140 { width: 140px; }
.col_150 { width: 150px; }
.col_200 { width: 200px; }
.col_250 { width: 250px; }
.col_300 { width: 300px; }
.col_350 { width: 350px; }
.col_400 { width: 400px; }
.col_450 { width: 450px; }
.col_500 { width: 500px; }

/* .col_cnt { text-align: center; }
.col_lef { text-align: left; }
.col_rig { text-align: right; } */

.col_head {
    text-align: center;
    font-weight: 700;
}

.col_body {
    font-weight: 500;
}

/* ------------------------------------------------------------------------------------------- */
.col_Chk {
    width: 30px;
    font-size: 17px;
    font-weight: 900;
    text-align: center;
}

.col_No {
    width: 35px;
    font-size: 11px;
    text-align: center;
}

.col_Code {
    width: 45px;
    font-size: 11px;
    text-align: center;
}
tbody .col_Code {
    font-weight: 700;
}

.col_Proc {
    width: 55px;
    font-size: 11px;
    text-align: center;
}
tbody .col_Proc {
    font-weight: 700;
}

.col_mCode {
    width: 55px;
    text-align: center;
}
tbody .col_mCode {
    font-weight: 700;
}

.col_ISU_CD {
    width: 90px;
}

.col_Name {
    width: 100px;
    font-size: 11px;    
}
tbody .col_Name {
    font-weight: 700;
    padding-left: 3px;
}

.col_Market {
    width: 55px;
    font-size: 10px;
}
tbody .col_Market {
    text-align: center;
    font-weight: 600;
}

.col_Dept {
    width: 75px;
    font-size: 10px;
}
tbody .col_Dept {
    font-weight: 700;
}

.col_SEL {
    width: 30px;
    text-align: center;
}

.col_Chg {
    width: 40px;
    /* text-align: center; */
    text-align: left;
    padding-left: 3px;
}

.col_ChgClose {
    width: 40px;
    /* text-align: center; */
    text-align: left;
    padding-left: 3px;
}

.col_ChangeCode {
    width: 40px;
    text-align: center;    
}
tbody .col_ChangeCode {
    width: 40px;
    text-align: center;
    font-size: 14px;
    font-weight: 1000;
}

.col_Changes {
    width: 70px;    
}
tbody .col_Changes {    
    text-align: right;
    padding-right: 5px;
}

.col_ChangesRatio {
    width: 70px;
}
tbody .col_ChangesRatio {    
    text-align: right;
    padding-right: 5px;
}

.col_Open {
    width: 60px;    
}
tbody .col_Open {    
    text-align: right;
    padding-right: 5px;
}

.col_High {
    width: 60px;    
}
tbody .col_High {    
    text-align: right;
    padding-right: 5px;
}

.col_Low {
    width: 60px;    
}
tbody .col_Low {    
    text-align: right;
    padding-right: 5px;
}

.col_Close {
    width: 60px;
}
tbody .col_Close {
    text-align: right;
    padding-right: 5px;
}

.col_2Open {
    width: 60px;    
}
tbody .col_2Open {    
    text-align: right;
    padding-right: 5px;
}

.col_2High {
    width: 60px;    
}
tbody .col_2High {    
    text-align: right;
    padding-right: 5px;
}

.col_2Low {
    width: 60px;
}
tbody .col_2Low {    
    text-align: right;
    padding-right: 5px;
}

.col_2Close {
    width: 60px;
}
tbody .col_2Close {
    text-align: right;
    padding-right: 5px;
}

.col_Volume {
    width: 55px;
}
tbody .col_Volume {
    font-size: 9px;
    text-align: right;
    padding-right: 5px;
}

.col_Amount {
    width: 90px;    
}
tbody .col_Amount {    
    font-size: 9px;
    text-align: right;
    padding-right: 5px;
}

.col_Marcap {
    width: 100px;    
}
tbody .col_Marcap {    
    font-size: 9px;
    text-align: right;
    padding-right: 5px;
}

.col_Stocks {
    width: 90px;    
}
tbody .col_Stocks {
    font-size: 9px;
    text-align: right;
    padding-right: 5px;
}

.col_MarketId {
    width: 40px;
    font-size: 9px;
    
    text-align: center;
}

.col_CNT {
    width: 40px;
    font-size: 10px;

    text-align: left;
    padding-left: 2px;
}
tbody .col_CNT {    
    text-align: right;
    padding-right: 5px;
}

.col_YN {
    width: 35px;    
}
thead .col_YN {
    font-size: 10px;
    text-align: left;
    padding-left: 1px;
}
tbody .col_YN {
    text-align: center;
}

.col_DT {
    width: 80px;
    font-size: 11px;
    font-weight: 700;
    text-align: center;
}

.col_DT_TM {
    width: 180px;
    font-size: 10px;
    font-weight: 700;
    text-align: center;    
}

.col_TM {
    width: 45px;
    font-size: 11px;
    font-weight: 700;
    text-align: center;
}

.col_TM_L {
    width: 65px;
    font-size: 11px;
    font-weight: 700;
    text-align: center;
}

.col_DY {
    width: 20px;
    font-size: 11px;
    font-weight: 700;
    text-align: center;
}

.col_Income {
    width: 60px;
}
tbody .col_Income {
    text-align: right;
    padding-right: 5px;
}

.col_TM_Gap {
    width: 60px;
}
tbody .col_TM_Gap {
    text-align: right;
    padding-right: 5px;
}

.col_Click {
    width: 40px;
}
tbody .col_Click {
    color: var(--color-blue2);
    
    font-size: 11px;
    font-weight: 900;

    text-align: center;
    text-decoration: underline;    
}

.col_PARA {
    width: 120px;
}
tbody .col_PARA {
    text-align: left;
    padding-left: 5px;
}

.col_RATE {
    width: 50px;
}
tbody .col_RATE {
    text-align: right;
    padding-right: 5px;
}
/* ------------------------------------------------------------------------------------------- */

.col_Tcen {
    width: 45px;
}
tbody .col_Tcen {
    text-align: center;    
}

.col_Cnts {
    width: 40px;
}
tbody .col_Cnts {
    text-align: right;
    padding-right: 5px;
}

.col_Cnts2 {
    width: 45px;
}
tbody .col_Cnts2 {
    text-align: right;
    padding-right: 5px;
}

.col_Numbs {
    width: 60px;
}
tbody .col_Numbs {
    text-align: right;
    padding-right: 5px;
}

.col_Numbs2 {
    width: 55px;
}
tbody .col_Numbs2 {
    text-align: right;
    padding-right: 5px;
}

.col_Costs {
    width: 75px;
}
tbody .col_Costs {
    text-align: right;
    padding-right: 5px;
}

/* ------------------------------------------------------------------------------------------- */
.col_A_C {
    text-align: center;
}

.col_A_L {
    text-align: left;
    padding-left: 5px;
}

.col_A_R {
    text-align: right;
    padding-right: 5px;
}
/* ------------------------------------------------------------------------------------------- */